# classes/phing/system/io/FileOutputStream.php

## \FileOutputStream
jump to top

Output stream subclass for file streams.

Extends from
  \OutputStream
package
  phing.system.io

### Properties

`\PhingFile $file= ''`

The associated file.
Details

Type
  \PhingFile

### Methods

`__construct( mixed $file, boolean $append = false ) :`
Construct a new FileOutputStream.
Parameters

Name | Type | Description
--- | --- | ---
$file | mixed |
$append | boolean | Whether to append bytes to end of file rather than beginning.

Details

throws
  - if invalid argument specified.
throws
  - if unable to open file.

`__toString( ) : string`
Returns a string representation of the attached file.
Returns

Type | Description
--- | ---
string |

Documentation was generated by DocBlox 0.13.1.